net.sourceforge.pmd.util

## Class CompoundIterator<T>

- java.lang.Object
- - net.sourceforge.pmd.util.CompoundIterator<T>

- Type Parameters:
    `T` - The type returned by the Iterator.
  All Implemented Interfaces:
    Iterator<T>

      public class CompoundIterator<T>
      extends Object
      implements Iterator<T>

  Creates a single compound Iterator from an array of Iterators.
  See Also:
    `Iterator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundIterator(Iterator<T>... iterators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundIterator

          public CompoundIterator(Iterator<T>... iterators)

      Parameters:
        `iterators` - The iterators use.

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`

Copyright © 2002-2013 InfoEther. All Rights Reserved.